
Redmine - Feature #4269

Allow ca_path option for reposman.rb to validate peer certificate

2009-11-23 15:27 - digi byte

Status: New Start date: 2009-11-23

Priority: Low Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I use the following command for automatic SVN repository creation:

ruby /opt/redmine/extra/svn/reposman.rb --redmine https://localhost/redmine --svn-dir /var/svn --o

wner www-data --url file:///var/svn/ >> /var/log/redmine-reposman.log

 I get this warning twice during the execution:

warning: peer certificate won't be verified in this SSL session

 When replacing 'https://localhost/redmine' to 'http://localhost/redmine' the warning disappears.  How can the peer certificate be

verified (I have a valid certificate, so this must be possible)?  Or how can the peer verification be skipped (if redmine is only

accessible on https)?

Thank you for looking into this issue.

Regards,

Pieter

History

#1 - 2009-11-24 19:46 - Jean-Philippe Lang

This warning is issued by ruby. A trusted CA cert must be available locally to verify the peer certificate.

But reposman does not currently offer this option.

#2 - 2009-11-24 19:47 - Jean-Philippe Lang

- Subject changed from Repository management: warning when Redmine is on https to Allow ca_path option for reposman.rb to validate peer

certificate

- Priority changed from Normal to Low

#3 - 2009-11-24 19:47 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#4 - 2009-12-04 15:05 - digi byte

I solved my problem by creating a new file: redmine/extra/svn/soap/property

This is the content of the property file:

client.protocol.http.ssl_config.ca_file=/etc/apache2/ssl/ca.pem

Where you can of course change the path to the corresponding CA certificate.

I also had to execute this command to add SSL support: gem install httpclient

I hope this can be interesting for other people using Redmine.  Issue can be closed for me.    

Regards,

Pieter
